import 'dart:math';

import 'package:sport/provider/lib/view_state_refresh_list_model.dart';
import 'package:sport/provider/social_detail_model.dart';
import 'package:sport/services/api/inject_api.dart';

class UserDetailModel extends SocialDetailModel with InjectApi {
  int type = 0;
  String id;
  String _sortBy = "created_at";

  UserDetailModel(this.id) : super('');

  @override
  Future<List> loadData({int pageNum = 1}) async {
    return handlePage(await api.getPostListByUser(id, page: max(pageNum, 1), sortBy: _sortBy));
  }
  sortBy(String name){
    if(name == "时间倒序"){
      _sortBy = "created_at";
    }else if(name == "点赞最多"){
      _sortBy = "like_count";
    }else if(name == "评论最多"){
      _sortBy = "comment_count";
    }
    initData();
  }
}
