import 'package:cached_network_image/cached_network_image.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';
import 'package:sport/bean/achievement_info.dart';
import 'package:sport/provider/achievement_info_model.dart';
import 'package:sport/provider/user_model.dart';
import 'package:sport/router/navigator_util.dart';
import 'package:sport/router/routes.dart';
import 'package:sport/widgets/appbar.dart';
import 'package:sport/widgets/border_radius.dart';
import 'package:sport/widgets/box.dart';
import 'package:sport/widgets/image.dart';
import 'package:sport/widgets/loading.dart';
import 'package:sport/widgets/space.dart';

class GuidePage extends StatefulWidget {
  @override
  State<StatefulWidget> createState() => _PageState();
}

class _PageState extends State<GuidePage> {

  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      body: CustomScrollView(
        slivers: <Widget>[
          buildSliverAppBar(context, "新手引导"),
          SliverToBoxAdapter(
            child: Padding(
              padding: const EdgeInsets.all(12.0),
              child: Text(
                "新手引导新手引导新手引导新手引导新手引导新手引导新手引导新手引导新手引导新手引导新手引导新手引导新手引导",
                style: TextStyle(fontSize: 15, color: Colors.black, height: 2),
              ),
            ),
          )
        ],
      ),
    );
  }
}
